package com.jxml.quick.engine;
import com.jxml.quick.*;
import com.jxml.quick.access.*;
import java.util.*;

public class QSubclassAccess extends QFactoryAccess
{
    protected List getList(Object parent, QContext context)
	throws QPE
    {
	if (!(parent instanceof QElementFactory))
	    context.throwPE("QElementFactory required");
	QElementFactory m=(QElementFactory)parent;
	return m.subclassFactories;
    }
}
